Submit Plaid public token
After the customer completes Plaid Link authentication, the platform should POST the public_token to this callback URL (provided in the link token response).
This will trigger asynchronous processing:
- Lightspark exchanges the public_token for an access_token with Plaid
- Lightspark retrieves and verifies the account details
- An external account is created
- A webhook notification is sent to the platform when complete
Documentation Index
Fetch the complete documentation index at: https://ramps-feat-fx-rate-explorer.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API token authentication using format <api token id>:<api client secret>
Path Parameters
The Plaid link token from the link token response, used to identify the session
Body
The public token returned by Plaid Link after the customer successfully authenticates and selects an account.
"public-sandbox-12345678-1234-1234-1234-123456789012"
Optional Plaid account ID if the customer selected a specific account. If not provided, the default account will be used.
"plaid_account_id_123"
Response
A pending external account resource will be created and returned while the Grid API asynchronously processes the Plaid public token.
The system generated identifier of this account
"ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965"
Status of the external account
PENDING, ACTIVE, UNDER_REVIEW, INACTIVE "ACTIVE"
The ISO 4217 currency code
"USD"
- BRL Account
- CAD Account
- DKK Account
- EUR Account
- GBP Account
- HKD Account
- IDR Account
- INR Account
- KES Account
- MWK Account
- MXN Account
- MYR Account
- NGN Account
- PHP Account
- RWF Account
- SGD Account
- THB Account
- TZS Account
- UGX Account
- USD Account
- VND Account
- XOF Account
- ZAR Account
- ZMW Account
- Spark Wallet
- Lightning
- Solana Wallet
- Tron Wallet
- Polygon Wallet
- Base Wallet
The customer this account is tied to, or null if the account is on behalf of the platform.
"Customer:da459a29-1fb7-41ce-a4cb-eb3a3c9fd7a7"
Optional platform-specific identifier for this account
"acc_123456789"
Whether this account is the default UMA deposit account for the customer. If true, incoming UMA payments to this customer's UMA address will be automatically deposited into this account instead of the primary internal account. False if not provided. Note that at most, one external account can be set as the default UMA deposit account for a customer. If there is no default UMA deposit account, incoming UMA payments will be deposited into the primary internal account for the customer.
false
The result of verifying the beneficiary name against the account holder name
MATCHED, PARTIAL_MATCH, NOT_MATCHED, UNSUPPORTED, CHECKED_BY_RECEIVING_FI, PENDING Verified beneficiary data returned by the payment rail, if available
The blockchain network for this external account, if applicable. Present when the account is a cryptocurrency wallet. Example values: SOLANA_MAINNET, ETHEREUM_MAINNET, POLYGON_MAINNET, TRON_MAINNET.
"SOLANA_MAINNET"